﻿.form-control, .form-select, label, .control-label, p, body, tbody, header, thead, input, div {
    font-size: small;
    font-family: "Roboto", sans-serif;
    vertical-align: middle;
}

.form-control, .form-select, tr {
    height: 30px !important;
}

.btn, .btn-primary, .btn-primary:disabled, .bs-btn-hover-bg {
    background-color: #075270 !important;
    font-size: 11pt !important;
    margin-right: 10px;
    vertical-align: middle;
}

.btn-primary.bs-btn-disabled-color {
    background-color: #075270 !important;
    opacity: 0.7 !important;
}

.btn-primary:hover, .btn-primary:active {
    background-color: #075270;
}

a {
    color: #075270;
    font-weight: bold;
    vertical-align: middle;
}

.nav-link {
    min-width: 25px;
    min-height: 25px;
}

button, input[type=button], input[type=submit] {
    background-color: #075270;
    margin-right: 10px;
    vertical-align: middle;
}

.btn-sm {
    background-color: #075270 !important;
    font-size: 9pt !important;
    height: 25px !important;
    vertical-align: middle;
}

.menu1 {
    margin-top: -6px !important;
    height: 30px !important;
    font-size: 11pt !important;
    color: white !important;
    font-weight: normal !important;
    font-family: "Roboto", sans-serif;
}

.menu2 {
    height: 30px !important;
    font-size: 10pt !important;
    font-family: "Roboto", sans-serif;
}

/*Required fields*/
.required::after {
    content: " *";
    font-weight: bold;
    color: red;
}

.control-label {
    font-weight: bold;
    margin-top: 8px;
    vertical-align: middle
}

th.ui-datepicker-week-end, td.ui-datepicker-week-end {
    display: none;
}

.fc-daygrid-event {
    background-color: #075270 !important;
    min-height: 25px;
}

.fc-next-button, .fc-prev-button, .fc-todayButton-button .fc-daygrid-event {
    height: 30px !important;
    background-color: #075270 !important;
}

.fc-v-event .fc-event-title div.fc-event-title {
    white-space: pre-line;
}

.fc-h-event .fc-event-main-frame {
    display: block; /* for make fc-event-title-container expand */
}

/* hide the circle/dot at the start of the event */
.fc-daygrid-event-dot {
    display: none;
}

.accountMsg, h5 {
    font-size: 12pt !important
}

@media print {
    body * {
        visibility: visible;
        max-width: 650px;
    }

    #ReservationsCalendar, #ReservationsCalendar * {
        visibility: visible; /* Make the calendar and its children visible */
    }

    #ReservationsCalendar {
        width: 100%; /* Adjust layout for print view */
    }
}

/*@media print {
    .fc-timeline-slot-lane > div {
        position: absolute !important;
        border-left: 0.5px solid #ddd;
        margin-left: -0.5px;
        min-height: 100% !important;
    }
}*/

.ui-autocomplete {
    max-height: 200px;
    overflow-y: auto;
    /* prevent horizontal scrollbar */
    overflow-x: hidden;
}
